The Art-Net Version 4 describes three members of an Art-Net network:
-   **Controller** _(requests)_
-   **Node** _(replies)_
-   **Media Server** _(mx extensions)_

<table>
<tr>
    <th rowspan=3>OpCode</th>
    <th colspan=3>Controller</th>
    <th colspan=3>Node</th>
    <th colspan=3>Media Server</th>
</tr>
<tr>
    <th rowspan=2>RX Behavior</th><th colspan=2>TX</th>
    <th rowspan=2>RX Behavior</th><th colspan=2>TX</th>
    <th rowspan=2>RX Behavior</th><th colspan=2>TX</th>
</tr>
<tr>
    <th>uni</th><th>brd</th>
    <th>uni</th><th>brd</th>
    <th>uni</th><th>brd</th>
</tr>
<tr>
    <td>ArtPoll</td>
    <td>ArtPollReply</td><td></td><td>TX</td>
    <td>ArtPollReply</td><td></td><td></td>
    <td>ArtPollReply</td><td></td><td></td>
</tr>
<tr>
    <td>ArtPollReply</td>
    <td></td><td></td><td>TX</td>
    <td></td><td></td><td>TX</td>
    <td></td><td></td><td>TX</td>
</tr>
<tr>
    <td>ArtIpProg</td>
    <td></td><td>TX</td><td></td>
    <td>ArtIpProgReply</td><td></td><td></td>
    <td>ArtIpProgReply</td><td></td><td></td>
</tr>
<tr>
    <td>ArtIpProgReply</td>
    <td></td><td></td><td></td>
    <td></td><td>TX</td><td></td>
    <td></td><td>TX</td><td></td>
</tr>
<tr>
    <td>ArtAddress</td>
    <td></td><td>TX</td><td></td>
    <td>ArtPollReply</td><td></td><td></td>
    <td>ArtPollReply</td><td></td><td></td>
</tr>
<tr>
    <td>ArtDiagData</td>
    <td></td><td colspan=2>per ArtPoll</td>
    <td></td><td colspan=2>per ArtPoll</td>
    <td></td><td colspan=2>per ArtPoll</td>
</tr>
<tr>
    <td>ArtTimeCode</td>
    <td colspan=9>Application Specific</td>
</tr>
<tr>
    <td>ArtCommand</td>
    <td colspan=9>Application Specific</td>
</tr>
<tr>
    <td>ArtTrigger</td>
    <td colspan=9>Application Specific</td>
</tr>
<tr>
    <td>ArtDmx</td>
    <td>Application Specific</td><td>TX</td><td></td>
    <td>Application Specific</td><td>TX</td><td></td>
    <td>Application Specific</td><td>TX</td><td></td>
</tr>
<tr>
    <td>ArtSync</td>
    <td></td><td></td><td>TX</td>
    <td>Sync</td><td></td><td></td>
    <td>Sync</td><td></td><td></td>
</tr>
<tr>
    <td>ArtNzs</td>
    <td>Application Specific</td><td>TX</td><td></td>
    <td>Application Specific</td><td>TX</td><td></td>
    <td>Application Specific</td><td>TX</td><td></td>
</tr>
<tr>
    <td>ArtVlc</td>
    <td colspan=9>As ArtNzs</td>
</tr>
<tr>
    <td>ArtInput</td>
    <td></td><td>TX</td><td></td>
    <td>ArtPollReply</td><td></td><td></td>
    <td>ArtPollReply</td><td></td><td></td>
</tr>
<tr>
    <td>ArtFirmwareMaster</td>
    <td></td><td>TX</td><td></td>
    <td>OpFirmwareReply</td><td></td><td></td>
    <td>OpFirmwareReply</td><td></td><td></td>
</tr>
<tr>
    <td>ArtFirmwareReply</td>
    <td>Next OpFirmwareMaster</td><td></td><td></td>
    <td></td><td>TX</td><td></td>
    <td></td><td>TX</td><td></td>
</tr>
<tr>
    <td>ArtTodRequest</td>
    <td></td><td></td><td>TX</td>
    <td>ArtTodData</td><td></td><td></td>
    <td></td><td></td><td></td>
</tr>
<tr>
    <td>ArtTodData</td>
    <td></td><td></td><td></td>
    <td></td><td></td><td></td>
    <td></td><td></td><td></td>
</tr>
<tr>
    <td>ArtTodControl</td>
    <td></td><td></td><td>TX</td>
    <td>ArtTodData</td><td></td><td></td>
    <td></td><td></td><td></td>
</tr>
<tr>
    <td>ArtRdm</td>
    <td></td><td>TX</td><td>tx</td>
    <td></td><td>TX</td><td>tx</td>
    <td></td><td>TX</td><td>tx</td>
</tr>
<tr>
    <td>ArtRdmSub</td>
    <td></td><td>TX</td><td></td>
    <td></td><td>TX</td><td></td>
    <td></td><td></td><td></td>
</tr>
</table>


Art-Net™ is a trade mark of Artistic Licence Holdings Ltd. The Art-Net protocol and associated documentation is copyright Artistic Licence Holdings Ltd.
